Get agent

GET
/v1/agents/{agentId}

Get an agent/admin by id.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

agentId*string

The agent/admin id

Formatuuid

Response Body

The agent/admin

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/v1/agents/{agentId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "4d2ab456-8510-4a35-b266-e502160d5177",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Alice Brown",
"email": "alice@brown.com",
"avatarUrl": "https://files.dixa.io/public/image_id",
"phoneNumber": "+551155256325",
"additionalEmails": [
"alice@secondary.email"
],
"additionalPhoneNumbers": [
"+5566778899"
],
"firstName": "Alice",
"lastName": "Brown",
"middleNames": [],
"roles": [
"Agent"
]
}
}